<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ZipArchive.html">ZipArchive</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ZipArchive Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#aa527675b915110919a754a226feebc4f">Archive</a>(const String &amp;name, const String &amp;archType)</td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#aa26bbb49e88485bee4dfaf61b418a87a">checkZzipError</a>(int zzipError, const String &amp;operation) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#ad4e52c6eb6165ebc1af6576b732a3935">create</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a0669dc93ae746f6070c44bba2f94594e">exists</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a3ba8ac8a8f041d2051c4f6ee158de7d2">find</a>(const String &amp;pattern, bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#ad082108ce50571d3664525a3c9968645">findFileInfo</a>(const String &amp;pattern, bool recursive=true, bool dirs=false) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#ac917dbfad2f147875573858b2658d893">getModifiedTime</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#aa4860f997861f44b61a436d55cdcc66b">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#ab0fe79a8deba20a1cc1301f68805b621">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a4bb33f4e21a4ca69049eae7c6fc5b6e5">isCaseSensitive</a>(void) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#aac59f4ba4e35fe3bf8820117593d0998">isReadOnly</a>() const </td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a8cbf4313ddcec3c2dd511e02d7a9f3d8">list</a>(bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#aa7c40c98db185a0e0b6ecba912fc4550">listFileInfo</a>(bool recursive=true, bool dirs=false)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a3bb00b0bd7e3164082248bbedb273784">load</a>()</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a33516e5d5f732b34a58413df6b2d5a06">mFileList</a></td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#ab1e42e1a419b26b1b7c6f26b77dde5a3">mName</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#ae4948ddce8c9555845de868fd718f917">mPluginIo</a></td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#ad85bb767e01c492075ec5291c1b9f5c4">mReadOnly</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#abf7ba39bebb760ce55d517aa289096fb">mType</a></td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#ac95bbd525401e829a38652abdb255003">mZzipDir</a></td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a946513e33742eea4a3cbed86bf9cb531">open</a>(const String &amp;filename, bool readOnly=true) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a2cfc047d2f6d2239a406d8026898a049">remove</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a251d90b758ea60ede23cf6dc707d9fea">unload</a>()</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#a96c1ff6075b2ed4e222831c60b269656">ZipArchive</a>(const String &amp;name, const String &amp;archType, zzip_plugin_io_handlers *pluginIo=NULL)</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Archive.html#a370fba29d752fa317e992aec6625d5ed">~Archive</a>()</td><td><a class="el" href="classOgre_1_1Archive.html">Ogre::Archive</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ZipArchive.html#ad477ccca5216e2066b473532c52258f4">~ZipArchive</a>()</td><td><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
